<app-navbar></app-navbar>
<div class="container">
    <div class="row mt-3 pt-3 mob-p-0" *ngIf="allCart">
        <div class="col-lg-12 m-a" *ngIf="mylen != 0; else emptycart">
            <div class="row">
                <div class=" col-lg-8 col-sm-12 col-md-7 col-12 screen-pr-50">
                    <div class="d-block d-sm-none d-md-none d-lg-none">
                        <h4><strong>Sous - total <span class="float-right">223 CFA </span></strong></h4>
                    </div>
                    <div class="d-none d-sm-block d-md-block d-lg-block">
                        <h4>Votre Panier <span class="prix-spn">Prix</span></h4>
                    </div>
                    <div class="row cart-row" *ngFor="let item of allCart">
                        <div class="col-lg-2 col-md-3 col-sm-3 col-4">
                            <a routerLink="/event-detail/{{item.event[0]._id}}"> <img class="mw-100" src="{{baseurl}}static/public/{{item.event[0].media}}"></a>
                        </div>
                        <div class="col-lg-7 col-md-6 col-sm-6 col-8">
                            <h6 class="cart-des"><a>{{item.event[0].title}}</a> </h6>
                            <!-- <div class="d-none d-sm-none d-md-none d-lg-none">{{item.price}}CFA</div> -->
                            <div>
                                <!-- <a class="ankr-big">En stock</a> -->
                                <ng-container *ngIf="item.is_available ==true; else notAvailableElse">
                                    <div>
                                        <a class="ankr-big">En stock </a>
                                    </div>
                                </ng-container>
                                <ng-template #notAvailableElse>
                                    <div>
                                        <a class="ankr-big">Non en stock</a>
                                    </div>
                                </ng-template>
                            </div>
                            <div>
                                <select class="qty" style="width: 80px;" (change)="updateQTY($event,item.event[0]._id )">
                           <option>Qty : {{item.quantity}}  <i class="fa-solid fa-angle-down"></i></option>
                           <option *ngFor="let n of numSequence(item.event[1].available_totoal_ticket);
                           let i = index;" value="{{i+1}}">{{i+1}}</option>
                        </select>
                                <span class="plr-5">|</span>
                                <span><a class="ankr-big" (click)="deleteitem(item.event[0]._id)">Supprimer</a></span>
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-3 col-sm-3 col-8 text-right">
                            <h6 class="d-none d-sm-block d-md-block d-lg-block">
                                <a *ngIf="item.price == null">Free </a>
                                <a *ngIf="item.price != null">{{item.price}} CFA</a>
                            </h6>
                        </div>
                    </div>

                    <div class="row cart-row d-none d-sm-block d-md-block d-lg-block">
                        <h6 class="text-right">Sous-total ({{totalItem}} articles) :<strong> {{totalprice| number : '1.2-2'}}
                        CFA</strong></h6>
                    </div>
                </div>
                <div class=" col-lg-4 col-sm-12 col-md-5 col-12 mb-3">
                    <div class="sous-row">
                        <div class="fle-xx">
                            <div class="">
                                <p>Sous-total({{totalItem}} articles):</p>
                            </div>
                            <div class="">
                                <strong>{{totalprice | number : '1.2-2'}} CFA</strong>
                            </div>
                        </div>
                        <div class="mt-3 mb-3">
                            <!-- <button class="btn btn-theme-fill w-100" (click)="checkoutCart()">Passer la
                        commande</button> -->

                            <ng-container *ngIf="all_available == true; else elseNoQunty">
                                <button class="btn btn-theme-fill w-100"  (click)="checkoutCart()">Passer la commande</button>
                            </ng-container>

                            <ng-template #elseNoQunty>
                                <button class="btn btn-theme-fill w-100"  (click)="checkoutCart()" disabled>Passer la commande</button>
                            </ng-template>
                        </div>
                        <ng-container *ngIf="all_available == false;">
                            <div class="alert alert-danger">
                                <strong>
                              Retirer le produit indisponible du panier et continuer
                           </strong></div>
                        </ng-container>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-none d-sm-none d-md-none d-lg-none"><button class="btn btn-theme-fill w-100">Passer la commande
               ({{mylen}} articles)</button></div>
    </div>
    <ng-template #emptycart>
        <div style="display: flex;align-items: center;justify-content: center;">
            <div style="text-align:center; height:400px " class='d-flex bd-highlight py-5 ' id='hello-example'>
                <div class="align-self-center p-3 bd-highlight col-sx-12 container jumbotron jumbo" style="">
                    <div class="col-md-12 mb-4">
                        <div class="fas-style mx-auto">
                            <img class="mw-100" src="./assets/build/img/account/Cart.png">
                        </div>
                    </div>
                    <h3>Votre panier O'Black est vide</h3>
                </div>
            </div>
        </div>
    </ng-template>


</div>

<app-footer></app-footer>